<?php

namespace Snog\Flags\XF\Pub\Controller;

use Snog\Flags\CallBack\Country;

class Account extends XFCP_Account
{
	protected function savePrivacyProcess(\XF\Entity\User $visitor)
	{
		$form = parent::savePrivacyProcess($visitor);
		$input = $this->filter(['privacy' => ['snog_flag_view' => 'str']]);
		$userPrivacy = $visitor->getRelationOrDefault('Privacy');
		$form->setupEntityInput($userPrivacy, $input['privacy']);
		return $form;
	}
}